package users

import "github.com/jmoiron/sqlx"

const usersCreate = `
CREATE TABLE users (
	id SERIAL,
	name text NOT NULL
);
`
const addUserQuery = `INSERT INTO users (name) VALUES ($1);`

// User represents an user
type User struct {
	ID   int
	Name string
}

// Add user to database or raises an error
func (u *User) Add(ex sqlx.Execer) error {
	_, err := ex.Exec(addUserQuery, u.Name)
	return err
}

// Update user on database or raise an error
func (u *User) Update(ex *sqlx.Execer) error {
	return nil
}

// Delete user from database or raise an error
func (u *User) Delete(ex *sqlx.Execer) error {
	return nil
}
